/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __TSEMGR_H__
#define __TSEMGR_H__

/* #define VERSION "0.07" */
#define MAX_EMS_ELEMENTS 10

GtkWidget *mainwindow;
struct t68properties phoneproperties;
struct config_data config;
gchar *config_base_dir;

struct config_data {
  gchar *device;
  gchar *bdaddress;
  gchar *opchan;
};

struct t68properties {
  gint pbnamelen;
  gint pbnumberlen;
};

typedef struct _recievedSMS recievedSMS;

struct _recievedSMS {
  gint SMSClength;	/* Length of the SMSC information    */
  unsigned char SMSCtype;	/* Type of address of the SMSC       */
  gchar *SMSCnumber;	/* SMSC number in decimal semi-octets*/
  unsigned char	firstOctet;	/* First octet of this SMS-DELIVER   */
  gint addressLength;	/* Lenght of the sender number       */
  gint senderType;	/* Type of address of the sender     */
  gchar *senderNumber;	/* Sender number                     */
  unsigned char	protocol;
  unsigned char	dataCodingScheme;
  gchar *timeStamp;
  gint messageLength;  /* number of septets */
  gint udh; /* udh data */
  gint concat;
  gint concat_reference;
  gint concat_max;
  gint concat_cur;
  gint pda; /* predefined animation */
  gint pda_pos[MAX_EMS_ELEMENTS];
  gint pda_nr[MAX_EMS_ELEMENTS];
  gint la; /* large animation */
  gint la_pos[MAX_EMS_ELEMENTS]; /* large animation */
  gint sa; /* small animation */
  gint sa_pos[MAX_EMS_ELEMENTS]; /* small animation */
  gint lp; /* large picture */
  gint lp_pos[MAX_EMS_ELEMENTS]; /* large picture */
  gint sp; /* small picture */
  gint sp_pos[MAX_EMS_ELEMENTS]; /* small picture */
  gint vp; /* variable picture */
  gint vp_pos[MAX_EMS_ELEMENTS]; /* variable picture */
  gint pds;
  gint pds_pos[MAX_EMS_ELEMENTS];
  gint uds;
  gint uds_pos[MAX_EMS_ELEMENTS];
  gchar *message;
};

#endif
