/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __CALLBACKS_H__
#define __CALLBACKS_H__

#include <gtk/gtk.h>

void save_config (GtkWidget *button, gpointer user_data);
void backupPB (GtkWidget *button, gpointer user_data);
void restorePB (GtkWidget *button, gpointer user_data);
void restorePB_ask (GtkWidget *button, gpointer user_data);
gint pbcomparefunc (GtkCList *clist, gpointer p1, gpointer p2);
void pbsortfunc (GtkCList *clist, gint column, gpointer user_data);
void save_remote_list (GtkWidget *button, gpointer user_data);
void edit_remote_entry_dialog (GtkWidget *button, gpointer user_data);
void edit_remote_entry (GtkWidget *button, gpointer user_data);
void delete_remote_entry_dialog (GtkWidget *button, gpointer user_data);
void delete_remote_entry (GtkWidget *button, gpointer user_data);
void remote_connect (GtkWidget *button, gpointer user_data);
void remote_disconnect (GtkWidget *button, gpointer user_data);
void add_remote_entry_dialog (GtkWidget *button, gpointer user_data);
void add_remote_command_dialog (GtkWidget *button, gpointer user_data);
void add_remote_entry (GtkWidget *button, gpointer user_data);
void add_remote_command (GtkWidget *button, gpointer user_data);
void displaySMSListME (GtkWidget *widget, gpointer *scrolled_window);
void displaySMSListSIM (GtkWidget *widget, gpointer *scrolled_window);
gint timeout (gpointer data);
void filenamechanged (GtkWidget *entry, gpointer user_data);
void uploadToPhone (GtkWidget *button, gpointer user_data);
void saveSMSSpace (GtkWidget *button, gpointer user_data);
void setFilename (GtkWidget *button, gpointer user_data);
void createFileSelector (GtkWidget *button, gpointer user_data);
void setNumber (GtkWidget *button, gpointer user_data);
void displayPhonebook (GtkWidget *button, gpointer user_data);
void delete_selected_sms_ask (GtkWidget *button, gpointer user_data);
void delete_selected_sms (GtkWidget *button, gpointer user_data);
void editPBentry (GtkWidget *button, gpointer user_data);
void editPBentryDialog (GtkWidget *button, gpointer user_data);
void addPBentry (GtkWidget *button, gpointer user_data);
void addPBentryDialog (GtkWidget *button, gpointer user_data);
void delete_phonebook_entries (GtkWidget *button, gpointer user_data);
void load_phonebook (GtkWidget *button, gpointer user_data);
void save_selected (GtkWidget *button, gpointer user_data);
void select_all (GtkWidget *button, gpointer user_data);
void updateStatus (GtkWidget *textfield, gpointer user_data);
void sendSMS (GtkWidget *button, gpointer user_data);
void store_filename (GtkFileSelection *selector, gpointer user_data);
void save_over (GtkWidget *button, gpointer user_data);
void saveSMS (GtkWidget *widget, gpointer data);
void destroy (GtkWidget *widget, gpointer data);

#endif
