/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#include <gtk/gtk.h>
#include "tsemgr.h"

void delete_phonebook_entries_ask (GtkWidget *button, gpointer user_data);
GtkWidget *createPixmap (gchar **which);
GtkWidget *messageDialog (gchar *msg, gint showbutton);
void errorDialog (gchar *errmsg);
GtkWidget *PBstatusDialog ();
GtkWidget *SMSstatusDialog ();
void save_over_ask (gpointer user_data);
GtkWidget *createSMSreadContent ();
GtkWidget *createSMSsendContent (void);
GtkWidget *create_sms_sub_tab (void);
GtkWidget *create_pb_sub_tab (void);
GtkWidget *create_upload_sub_tab (void);
GtkWidget *create_download_sub_tab (void);
GtkWidget *create_remote_sub_tab (void);
GtkWidget *create_about_sub_tab (void);
void my_gtk_notebook_append_tab (GtkWidget *notebook, GtkWidget *child,
				 gchar *tab_label, char *pixmap[]);
GtkWidget *createTabs ();
GtkWidget *displaySMS (recievedSMS *sms);
void displaySMSList (GtkWidget *widget, gpointer *scrolled_window, gint memtype);

#endif
