/*
  tsemgr is a gtk application to manage a sonyericsson t68 mobile phone
  Copyright (C) 2003 Sebastian Sareyko

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __SMS_H__
#define __SMS_H__

#include <gtk/gtk.h>
#include "tsemgr.h"

#define	UNREAD_MESSAGES			0
#define RECIEVED_MESSAGES		1
#define	STORED_UNREAD_MESSAGES	        2	/* only applicable to SIM */
#define	STORED_SENT_MESSAGES            3	/* only applicable to SIM */
#define ALL_MESSAGES			4
#define	TEMPLATE_MESSAGES		16

#define SIM 0
#define ME 1

#define min(a,b)   ( ( (a) < (b) ) ? (a) : (b) )

gchar* sms_data_7bit_decode (gchar* input, gint encoded_size);
gchar* sms_data_7bit_encode (gchar* input, gint *encoded_size);
recievedSMS* parseSMS (gchar* string);
GSList* listSMS (gint memtype, gint type, GtkWidget *progress_bar);
gint encode_and_sendSMS (gchar *number, gchar *message, gint store);
gint sendencodedSMS (gchar *data, gint store);
gint deleteSMS (gint index, gint mem);

#endif
